com.oracle.truffle.api.utilities

## Class IdentityValueProfile

- java.lang.Object
- - com.oracle.truffle.api.utilities.ValueProfile
  - - com.oracle.truffle.api.utilities.IdentityValueProfile

    public final class IdentityValueProfile
    extends ValueProfile

Represents a `ValueProfile` that speculates on the object identity of a value.

### Field Summary

Fields
`protected java.lang.Object` `cachedValue`

### Method Summary

Methods
`java.lang.Object` `getCachedValue()`
`boolean` `isGeneric()`
`boolean` `isUninitialized()`
`<T> T` `profile(T value)`
`java.lang.String` `toString()`

### Methods inherited from class com.oracle.truffle.api.utilities.ValueProfile

`createClassProfile, createIdentityProfile, createPrimitiveProfile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cachedValue

    protected java.lang.Object cachedValue

### Method Detail

#### profile

    public <T> T profile(T value)

Specified by:
  `profile` in class `ValueProfile`

#### isGeneric

    public boolean isGeneric()

#### isUninitialized

    public boolean isUninitialized()

#### getCachedValue

    public java.lang.Object getCachedValue()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`